Subject: Re: ipc-daemon2.exe fails
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Tue, 4 Jan 2005 03:06:05 -0800

On Tue, Jan 04, 2005 at 05:58:47AM -0500, Zachary Uram wrote:
> On Tue, 4 Jan 2005 05:57:26 -0500, Zachary Uram wrote:
> > On Thu, 30 Dec 2004 17:59:17 +0100, Corinna Vinschen wrote:
> > > On Dec 29 22:50, Zachary Uram wrote:
> > > > Hello I am running the latest Cygwin with cygipc-2.03-2.tar package
> > > > and when I run
> > > > /usr/bin/ipc-daemon2.exe it immediately exits, no error message is printed,
> > > > i have a /tmp directory and when i run ipcs it says: Bad system call
> > > >
> > > > When I do ps it also shows that no ipc-daemon2.exe is working.
> > > >
> > > > I need this to run a server which uses shared memory (I didn't write
> > > > the server just using binaries) and my friend has it running fine on
> > > > his XP machine! I am running Windows 98 SE.
> > > >
> > > > Is there some special arguments I must give ipc-daemon2 or has this
> > > > been deprecated and if so which package should I use? I can't find any
> > > > man page for ipc-daemon2 or cygipc
> > >
> > > ipc-deamon2 has been deprecated.  Use cygserver instead.  It's part of the
> > > Cygwin base package and installed into /usr/sbin.  Documentation is in
> > > /usr/share/doc/Cygwin/cygserver.README.
> > 
> > Ok I followed directions in README and cygserver process runs
> > yet when I run the server it complains about shmget not being found !
> 
> PS: I am referring to my server application giving that error, not cygserver.
> Could someone please tell me the steps to follow to get cygserver
> running in Windows98SE and I will see if this is what I did and if it
> solves problem.

At compilation time?  If so, can you show what your code looks like?
If not, what exactly is returning an error and what error is it returning?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/